QGIS Application - Bug report #2509
ftools: mean coordinate(s) tool with "unique ID" field returns wrong results
2010-03-07 02:27 AM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee: cfarmer -

Category: Python plugins

Affected QGIS version: Regression?: No
Operating System: Debian Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 12569
Description

To test | used the "regions" polygon layer from the spatialite sample dataset, saved as shapefile.
Using as "unique ID field" the "name" field | would expect to tool to calculate the mean coordinate of each region (as the resulting table of
attributes seems to indicate), but the mean coordinates are wrong, and this is easy to understand from the position of the resulting points.

You can also save a single region as a single polygon and calculate its mean coordinate, you'll see different results.

Tested under linux ubuntu 9.10 and qgis trunk.

Associated revisions

Revision 67eb2636 - 2010-03-09 12:15 AM - cfarmer -

Means for unique values now properly calculated. Fixes #2509.

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@13030 ¢8812cc2-4d05-0410-92ff-de0c093fc19¢c

Revision 428b7281 - 2010-03-09 12:15 AM - cfarmer -

Means for unique values now properly calculated. Fixes #2509.

git-svn-id: http://svn.osgeo.org/qgis/trunk@13030 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-03-08 03:15 PM - cfarmer -
- Resolution set to fixed
- Status changed from Open to Closed

Fixed in commit:428b7281 (SVN r13031).

-Carson
